/**
 * @file vga_text.c
 * VGA_Text native device driver interface.
 */
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <propeller.h>

#include "vga_text.h"


#ifdef  VGA_TEXT_TEST
void main(void)
{
    int ii = 85;
    int jj = 0;

    vgaText_start(16);  // start VGA
    
    print("\nzoot ");

    print("color");
    vgaText_setXY(0,0);
    print("Hi\n");
    print("zoot");
    vgaText_setCoordPosition(1,3);
    print("abcd");
    vgaText_setCurPosition(5,5);
    
    print("Hello World!\r");
    vgaText_setY(vgaText_getY()+1);
    vgaText_str("Decimal ");
    vgaText_dec(ii);
    vgaText_setY(vgaText_getY()+1);

    for(jj = 10; jj < 20; jj++) {
        vgaText_setColors((jj-10));
        vgaText_setXY(jj, jj % VGA_TEXT_ROWS);
        vgaText_str("0x");
        vgaText_hex(ii++, 4);
    }
    
    while(1);
}
#endif
// VGA_TEXT_TEST